Package com.google.protobuf

# Class Enum.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<Enum.Builder>
com.google.protobuf.Enum.Builder

All Implemented Interfaces:
  `EnumOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  Enum

public static final class Enum.Builder extends GeneratedMessageV3.Builder<Enum.Builder> implements EnumOrBuilder
Protobuf type `google.protobuf.Enum`

## Method Summary

Modifier and Type
Method
Description
`Enum.Builder`
`addAllEnumvalue(Iterable<? extends EnumValue> values)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`Enum.Builder`
`addAllOptions(Iterable<? extends Option> values)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum.Builder`
`addEnumvalue(int index, EnumValue value)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`Enum.Builder`
`addEnumvalue(int index, EnumValue.Builder builderForValue)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`Enum.Builder`
`addEnumvalue(EnumValue value)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`Enum.Builder`
`addEnumvalue(EnumValue.Builder builderForValue)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`EnumValue.Builder`
`addEnumvalueBuilder()`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`EnumValue.Builder`
`addEnumvalueBuilder(int index)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`Enum.Builder`
`addOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum.Builder`
`addOptions(int index, Option.Builder builderForValue)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum.Builder`
`addOptions(Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum.Builder`
`addOptions(Option.Builder builderForValue)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option.Builder`
`addOptionsBuilder()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option.Builder`
`addOptionsBuilder(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum`
`build()`
Constructs the message based on the state of the Builder.
`Enum`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`Enum.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`Enum.Builder`
`clearEnumvalue()`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`Enum.Builder`
`clearName()`
`string name = 1 [json_name = "name"];`
`Enum.Builder`
`clearOptions()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum.Builder`
`clearSourceContext()`
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`
`Enum.Builder`
`clearSyntax()`
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`
`Enum`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`EnumValue`
`getEnumvalue(int index)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`EnumValue.Builder`
`getEnumvalueBuilder(int index)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`List<EnumValue.Builder>`
`getEnumvalueBuilderList()`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`int`
`getEnumvalueCount()`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`List<EnumValue>`
`getEnumvalueList()`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`EnumValueOrBuilder`
`getEnumvalueOrBuilder(int index)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`List<? extends EnumValueOrBuilder>`
`getEnumvalueOrBuilderList()`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`String`
`getName()`
`string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`string name = 1 [json_name = "name"];`
`Option`
`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option.Builder`
`getOptionsBuilder(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option.Builder>`
`getOptionsBuilderList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`int`
`getOptionsCount()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`OptionOrBuilder`
`getOptionsOrBuilder(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<? extends OptionOrBuilder>`
`getOptionsOrBuilderList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`SourceContext`
`getSourceContext()`
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`
`SourceContext.Builder`
`getSourceContextBuilder()`
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`
`SourceContextOrBuilder`
`getSourceContextOrBuilder()`
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`
`Syntax`
`getSyntax()`
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`
`int`
`getSyntaxValue()`
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`
`boolean`
`hasSourceContext()`
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`Enum.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`Enum.Builder`
`mergeFrom(Enum other)`
`Enum.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`Enum.Builder`
`mergeSourceContext(SourceContext value)`
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`
`final Enum.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`Enum.Builder`
`removeEnumvalue(int index)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`Enum.Builder`
`removeOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum.Builder`
`setEnumvalue(int index, EnumValue value)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`Enum.Builder`
`setEnumvalue(int index, EnumValue.Builder builderForValue)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`Enum.Builder`
`setName(String value)`
`string name = 1 [json_name = "name"];`
`Enum.Builder`
`setNameBytes(ByteString value)`
`string name = 1 [json_name = "name"];`
`Enum.Builder`
`setOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum.Builder`
`setOptions(int index, Option.Builder builderForValue)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum.Builder`
`setSourceContext(SourceContext value)`
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`
`Enum.Builder`
`setSourceContext(SourceContext.Builder builderForValue)`
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`
`Enum.Builder`
`setSyntax(Syntax value)`
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`
`Enum.Builder`
`setSyntaxValue(int value)`
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`
`final Enum.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<Enum.Builder>`

### clear

public Enum.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<Enum.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<Enum.Builder>`

### getDefaultInstanceForType

public Enum getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public Enum build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public Enum buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public Enum.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<Enum.Builder>`

### mergeFrom

public Enum.Builder mergeFrom(Enum other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<Enum.Builder>`

### mergeFrom

public Enum.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<Enum.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getName

public String getName()
`string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `EnumOrBuilder`
Returns:
  The name.

### getNameBytes

public ByteString getNameBytes()
`string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `EnumOrBuilder`
Returns:
  The bytes for name.

### setName

public Enum.Builder setName(String value)
`string name = 1 [json_name = "name"];`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public Enum.Builder clearName()
`string name = 1 [json_name = "name"];`

Returns:
  This builder for chaining.

### setNameBytes

public Enum.Builder setNameBytes(ByteString value)
`string name = 1 [json_name = "name"];`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### getEnumvalueList

public List<EnumValue> getEnumvalueList()
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

Specified by:
  `getEnumvalueList` in interface `EnumOrBuilder`

### getEnumvalueCount

public int getEnumvalueCount()
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

Specified by:
  `getEnumvalueCount` in interface `EnumOrBuilder`

### getEnumvalue

public EnumValue getEnumvalue(int index)
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

Specified by:
  `getEnumvalue` in interface `EnumOrBuilder`

### setEnumvalue

public Enum.Builder setEnumvalue(int index, EnumValue value)
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### setEnumvalue

public Enum.Builder setEnumvalue(int index, EnumValue.Builder builderForValue)
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### addEnumvalue

public Enum.Builder addEnumvalue(EnumValue value)
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### addEnumvalue

public Enum.Builder addEnumvalue(int index, EnumValue value)
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### addEnumvalue

public Enum.Builder addEnumvalue(EnumValue.Builder builderForValue)
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### addEnumvalue

public Enum.Builder addEnumvalue(int index, EnumValue.Builder builderForValue)
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### addAllEnumvalue

public Enum.Builder addAllEnumvalue(Iterable<? extends EnumValue> values)
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### clearEnumvalue

public Enum.Builder clearEnumvalue()
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### removeEnumvalue

public Enum.Builder removeEnumvalue(int index)
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### getEnumvalueBuilder

public EnumValue.Builder getEnumvalueBuilder(int index)
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### getEnumvalueOrBuilder

public EnumValueOrBuilder getEnumvalueOrBuilder(int index)
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

Specified by:
  `getEnumvalueOrBuilder` in interface `EnumOrBuilder`

### getEnumvalueOrBuilderList

public List<? extends EnumValueOrBuilder> getEnumvalueOrBuilderList()
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

Specified by:
  `getEnumvalueOrBuilderList` in interface `EnumOrBuilder`

### addEnumvalueBuilder

public EnumValue.Builder addEnumvalueBuilder()
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### addEnumvalueBuilder

public EnumValue.Builder addEnumvalueBuilder(int index)
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### getEnumvalueBuilderList

public List<EnumValue.Builder> getEnumvalueBuilderList()
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`

### getOptionsList

public List<Option> getOptionsList()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptionsList` in interface `EnumOrBuilder`

### getOptionsCount

public int getOptionsCount()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptionsCount` in interface `EnumOrBuilder`

### getOptions

public Option getOptions(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptions` in interface `EnumOrBuilder`

### setOptions

public Enum.Builder setOptions(int index, Option value)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### setOptions

public Enum.Builder setOptions(int index, Option.Builder builderForValue)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### addOptions

public Enum.Builder addOptions(Option value)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### addOptions

public Enum.Builder addOptions(int index, Option value)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### addOptions

public Enum.Builder addOptions(Option.Builder builderForValue)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### addOptions

public Enum.Builder addOptions(int index, Option.Builder builderForValue)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### addAllOptions

public Enum.Builder addAllOptions(Iterable<? extends Option> values)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### clearOptions

public Enum.Builder clearOptions()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### removeOptions

public Enum.Builder removeOptions(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptionsBuilder

public Option.Builder getOptionsBuilder(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptionsOrBuilder

public OptionOrBuilder getOptionsOrBuilder(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilder` in interface `EnumOrBuilder`

### getOptionsOrBuilderList

public List<? extends OptionOrBuilder> getOptionsOrBuilderList()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilderList` in interface `EnumOrBuilder`

### addOptionsBuilder

public Option.Builder addOptionsBuilder()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### addOptionsBuilder

public Option.Builder addOptionsBuilder(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptionsBuilderList

public List<Option.Builder> getOptionsBuilderList()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### hasSourceContext

public boolean hasSourceContext()
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`

Specified by:
  `hasSourceContext` in interface `EnumOrBuilder`
Returns:
  Whether the sourceContext field is set.

### getSourceContext

public SourceContext getSourceContext()
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`

Specified by:
  `getSourceContext` in interface `EnumOrBuilder`
Returns:
  The sourceContext.

### setSourceContext

public Enum.Builder setSourceContext(SourceContext value)
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`

### setSourceContext

public Enum.Builder setSourceContext(SourceContext.Builder builderForValue)
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`

### mergeSourceContext

public Enum.Builder mergeSourceContext(SourceContext value)
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`

### clearSourceContext

public Enum.Builder clearSourceContext()
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`

### getSourceContextBuilder

public SourceContext.Builder getSourceContextBuilder()
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`

### getSourceContextOrBuilder

public SourceContextOrBuilder getSourceContextOrBuilder()
`.google.protobuf.SourceContext source_context = 4 [json_name = "sourceContext"];`

Specified by:
  `getSourceContextOrBuilder` in interface `EnumOrBuilder`

### getSyntaxValue

public int getSyntaxValue()
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`

Specified by:
  `getSyntaxValue` in interface `EnumOrBuilder`
Returns:
  The enum numeric value on the wire for syntax.

### setSyntaxValue

public Enum.Builder setSyntaxValue(int value)
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`

Parameters:
  `value` - The enum numeric value on the wire for syntax to set.
Returns:
  This builder for chaining.

### getSyntax

public Syntax getSyntax()
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`

Specified by:
  `getSyntax` in interface `EnumOrBuilder`
Returns:
  The syntax.

### setSyntax

public Enum.Builder setSyntax(Syntax value)
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`

Parameters:
  `value` - The syntax to set.
Returns:
  This builder for chaining.

### clearSyntax

public Enum.Builder clearSyntax()
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`

Returns:
  This builder for chaining.

### setUnknownFields

public final Enum.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<Enum.Builder>`

### mergeUnknownFields

public final Enum.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<Enum.Builder>`